Option Compare Database
Option Explicit

' ** AT_Start Module **
' on 2017-02-28,
' @author: Olivier Massot
' V 1.0

' > Use these functions while starting your application
' You can call them in a macro named 'Autoexec' (it will then launch at start),
' or at the Open or Load event of your main form

Public Sub LoadMenu(ByVal fname As String)

    ' Requires AT_VersionManager, AT_Mail, AT_Users

    ' display options
    DoCmd.RunCommand acCmdAppRestore
    DoCmd.RunCommand acCmdAppMaximize

    '*** users related options
    
    ' check if exist, or creates
    

    '*** connexion
    
    ' check current connexion, warns if not default
    

    '*** check version (only if default connexion)
    If Not up_to_date() Then
    
        Call send_update_mail
        If Not is_admin() Then
            Application.Quit
        End If
    
    End If
    

End Sub